org.apache.poi.util

## Class LittleEndianByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.poi.util.LittleEndianByteArrayOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, DelayableLittleEndianOutput, LittleEndianOutput

      public final class LittleEndianByteArrayOutputStream
      extends java.io.OutputStream
      implements LittleEndianOutput, DelayableLittleEndianOutput

  Adapts a plain byte array to `LittleEndianOutput`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LittleEndianByteArrayOutputStream(byte[] buf, int startOffset)`
    `LittleEndianByteArrayOutputStream(byte[] buf, int startOffset, int maxWriteLen)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LittleEndianOutput` | `createDelayedOutput(int size)` Creates an output stream intended for outputting a sequence of `size` bytes.
    `int` | `getWriteIndex()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int offset, int len)`
    `void` | `write(int b)`
    `void` | `writeByte(int v)`
    `void` | `writeDouble(double v)`
    `void` | `writeInt(int v)`
    `void` | `writeLong(long v)`
    `void` | `writeShort(int v)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LittleEndianByteArrayOutputStream

          public LittleEndianByteArrayOutputStream(byte[] buf,
                                                   int startOffset,
                                                   int maxWriteLen)

    - #### LittleEndianByteArrayOutputStream

          public LittleEndianByteArrayOutputStream(byte[] buf,
                                                   int startOffset)

  - ### Method Detail

    - #### writeByte

          public void writeByte(int v)

      Specified by:
        `writeByte` in interface `LittleEndianOutput`

    - #### writeDouble

          public void writeDouble(double v)

      Specified by:
        `writeDouble` in interface `LittleEndianOutput`

    - #### writeInt

          public void writeInt(int v)

      Specified by:
        `writeInt` in interface `LittleEndianOutput`

    - #### writeLong

          public void writeLong(long v)

      Specified by:
        `writeLong` in interface `LittleEndianOutput`

    - #### writeShort

          public void writeShort(int v)

      Specified by:
        `writeShort` in interface `LittleEndianOutput`

    - #### write

          public void write(int b)

      Specified by:
        `write` in class `java.io.OutputStream`

    - #### write

          public void write(byte[] b)

      Specified by:
        `write` in interface `LittleEndianOutput`
      Overrides:
        `write` in class `java.io.OutputStream`

    - #### write

          public void write(byte[] b,
                            int offset,
                            int len)

      Specified by:
        `write` in interface `LittleEndianOutput`
      Overrides:
        `write` in class `java.io.OutputStream`

    - #### getWriteIndex

          public int getWriteIndex()

    - #### createDelayedOutput

          public LittleEndianOutput createDelayedOutput(int size)

      Description copied from interface: `DelayableLittleEndianOutput`
      Creates an output stream intended for outputting a sequence of `size` bytes.
      Specified by:
        `createDelayedOutput` in interface `DelayableLittleEndianOutput`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.